Cyberduck Mountain Duck CLI

#2552 closed enhancement (fixed)

Upload to drop box gives file listing error

Reported by: reverb@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: core Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Using sftp, when you upload to a Mac OS X directory ~/Users/joeblow/Public/Drop\ Box/, the user does not have permission to view somebody else's drop box. But every time you try to upload a file into a drop box, Cyberduck seems to want to always list the destination remote directory after uploading, so you always have to dismiss an error panel.

One solution would be a Don't tell me this error again checkbox in the panel that shows the permissions error. Then at least it would only tell you once per session. A better implementation might be a preference to just never report a directory listing permission error when trying to retrieve a listing from a closed folder you just dropped something on.

Change History (7)

comment:1 Changed on Oct 18, 2008 at 12:39:58 PM by dkocher

  • Component changed from sftp to interface
  • Status changed from new to assigned
  • Type changed from defect to enhancement

comment:2 Changed on Nov 10, 2008 at 9:27:17 AM by da.grit@…

Maybe related to this is the drag & drop handling. Cyberduck tries to list the FTP folder on rollover. When it's a write protected FTP folder it generates an error. When dragging a file to the FTP directory you sometimes roll over other directories in order to get the one you want to drop it into, generating this error; a bit annoying.

comment:3 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:4 Changed on Apr 15, 2009 at 6:32:07 PM by dkocher

  • Component changed from interface to core
  • Summary changed from Directory tries to list after upload to drop box to Upload to drop box gives file listing error

The error occurs during the transfer when it is checked if the destination file already exists.

Last edited on Jul 30, 2010 at 3:34:39 PM by dkocher (previous) (diff)

comment:5 Changed on Apr 15, 2009 at 6:32:49 PM by dkocher

#2721 closed as duplicate.

comment:6 Changed on Apr 15, 2009 at 6:38:54 PM by dkocher

  • Description modified (diff)

comment:7 Changed on Jul 30, 2010 at 4:03:11 PM by dkocher

  • Milestone set to 3.6
  • Resolution set to fixed
  • Status changed from assigned to closed

In r6483.

Note: See TracTickets for help on using tickets.
swiss made software